Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.graphic
Class Text

    java.lang.Object
      jcckit.graphic.BasicGraphicalElement
          jcckit.graphic.Text

All Implemented Interfaces:
  GraphicalElement

public class Text
extends BasicGraphicalElement

A single line of text.

Author:
  Franz-Josef Elmer

Constructor Summary
`Text(GraphPoint position, java.lang.String text, GraphicAttributes attributes)` Creates an instance with the specified parameters.

Method Summary
`GraphPoint` | `getPosition()` Returns the position.
`java.lang.String` | `getText()` Returns the text string.
`void` | `renderWith(Renderer renderer)` Renders this line with the specified `Renderer`.

Methods inherited from class jcckit.graphic.BasicGraphicalElement
`getGraphicAttributes, isClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Text

    public Text(GraphPoint position,
                java.lang.String text,
                GraphicAttributes attributes)

  Creates an instance with the specified parameters.

Parameters:
  `position` - Position of the text.
  `text` - Text.
  `attributes` - Drawing attributes. Can be `null`.

Method Detail

### getPosition

    public GraphPoint getPosition()

  Returns the position.

### getText

    public java.lang.String getText()

  Returns the text string.

### renderWith

    public void renderWith(Renderer renderer)

  Renders this line with the specified `Renderer`.

  Parameters:
    `renderer` - An instance of `TextRenderer`.
  Throws:
    `java.lang.IllegalArgumentException` - if `renderer` is not an instance of `TextRenderer`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD